

from million.model.message import Message
from test.TestCase import TestCase


class MessageTest(TestCase):

    def test_message_nominal(self, overrides=None, exclude=None):
        message = self._message_with_text("1")

        assert 1 == message.get_counted_value()

    def test_message_with_text(self, overrides=None, exclude=None):
        message = self._message_with_text("1 text")

        assert 1 == message.get_counted_value()

    def test_message_floored_dot(self, overrides=None, exclude=None):
        message = self._message_with_text("1.5")

        assert 1 == message.get_counted_value()

    def test_message_floored_comma(self, overrides=None, exclude=None):
        message = self._message_with_text("1,5")

        assert 1 == message.get_counted_value()
